// casin_ex.c : casin() example
// -------------------------------------------------------------

#include <complex.h>   // double complex casin(double complex z);
// float complex casinf(float complex z);
// long double complex casinl(long double complex z);
#include <stdio.h>

int main(void)
{
    puts("Results of the casin() function for integer values:");
    for (int n = -3; n <= 3; ++n)
    {
        const float complex z = casinf((float complex) n);
        printf(" casin(%+d) = %+.2f %+.2f*I\n", n, crealf(z), cimagf(z));
    }
    return 0;
}
