// ctime_s_ex.c : ctime_s() example
// -------------------------------------------------------------

#define __STDC_WANT_LIB_EXT1__ 1
#include <time.h>    // errno_t ctime_s(char *s, rsize_t maxsize, 
//                 const time_t *timer);
#include <stdio.h>

int main(void)
{
#ifndef __STDC_LIB_EXT1__
    puts("Bounds-checking functions are not available.");
#else
    time_t now = 0;
    time(&now);                   // Date and time as an integer.
    char timeStr[26];
    if (ctime_s(timeStr, sizeof(timeStr), &now) == 0)
    {
        printf("Date and time: %s", timeStr);
    }
#endif
    return 0;
}
