﻿// mbtowc_ex.c : mbtowc() example
// -------------------------------------------------------------

#include <stdlib.h>   // int mbtowc(wchar_t * restrict wc,
//             const char * restrict s,
//             size_t maxsize);
#include <locale.h>
#include <stdio.h>

int main(void)
{
    const char mbstring[256] = "This is originally a multibyte string.\n";

    printf("The current locale is %s.\n", setlocale(LC_CTYPE, ""));
    int i = 0;
    int n = 0;
    wchar_t wc = 0;
    while ((n = mbtowc(&wc, &mbstring[i], MB_CUR_MAX)) != 0)
    {
        if (n == -1)
        {
            fputs("Encoding error in multibyte string", stderr);
            break;
        }
        printf("%lc", (wint_t) wc);
        i += n;
    }
    return 0;
}
