struct Article
{
    long number;      // The part number of an article
    char name[32];    // The article's name
    long price;       // The unit price in cents
    /* ... */
};
struct Article sw = {102030L, "Heroes", 5995L};
sw.price = 4995L;                  // Change the price to 49.95


struct Article getArticle();       // Function prototype
printf("name: %s\n", getArticle().name);

struct Article* pArticle = &sw;     // A pointer to struct Article.
const struct Article* pcArticle = &sw;   // A "read-only pointer" to struct
// Article.
++(pArticle->number);               // Increment the part number.
if (pcArticle->number == 102031L)   // Correct usage: read-only access.
{
    // Error: can't use a
    pcArticle->price += 50;          // const-qualified pointer
}                                   // to modify the object.

struct Article arrArticle[10];   // An array with ten elements
// of type struct Article.
arrArticle[2].price = 990L;      // Set the price of the
// array element arrArticle[2].
arrArticle->number = 10100L;     // Set the part number in the
// array element arrArticle[0].

