// Examples 10-1 and 10-2.
// main.c : A few examples using the structure struct Song.

#include <stdio.h>
#include <string.h>
#include "songs.h"

const Song_t mySong = {"What it is",
                       "Aubrey Haynie; Mark Knopfler",
                       "Mark Knopfler", 297, {9, 26, 2000}
                      };

const Song_t yourSong = {"El Macho"};

const Song_t aSong = { .title =  "I've Just Seen a Face",
                       .composer = "John Lennon; Paul McCartney",
                       127
                     };

int main(void)
{
    Song_t song1 = {""};

    // Copy a string to the title of song1:
    strcpy(song1.title, "Havana Club");

    // Likewise for the composer member:
    strcpy(song1.composer, "Ottmar Liebert");

    song1.duration = 251;                   // Playing time.

    // The member published is itself a structure:
    song1.published.year = 1998;            // Year of publication.
    const Song_t* pSong = &song1;  // and a pointer to Song_t.
    if (pSong->duration > 180)
    {
        printf("The song %s is more than 3 minutes long.\n", pSong->title);
    }
    // Two objects of type Song_t,
    Song_t song2 = song1;
    printSong(&song2);

    printSong(&mySong);
    printSong(&yourSong);
    printSong(&aSong);

    return 0;
}
