// acosh_ex.c : acosh() example
// -------------------------------------------------------------

#include <math.h>    // double acosh(double x);
// float acoshf(float x);
// long double acoshl(long double x);
#include <stdio.h>
#include <errno.h>

int main(void)
{
    puts("acosh(x) is equal to log(x + sqrt(x*x - 1))\n");
    puts("Enter some numbers greater than or equal to 1.0"
         "\n(type any letter to quit):");
    double x = 0.0L;
    while (scanf("%lf", &x) == 1)
    {
        errno = 0;
        const double y1 = acosh(x);
        if (errno == EDOM)
        {
            perror("acosh");
            break;
        }
        const double y2 = log(x + sqrt(x * x - 1.0));
        printf("x = %f; acosh(x) = %f; log(x + sqrt(x*x-1)) = %f\n",
               x, y1, y2);
    }
    return 0;
}
