// ctime_ex.c : ctime() example
// -------------------------------------------------------------

#include <time.h>    // char *ctime( const time_t *seconds );
#include <stdio.h>

static void logerror(int errorcode)
{
    time_t eventtime = {0};
    time(&eventtime);
    fprintf(stderr, "%s: Error number %d occurred.\n",
            ctime(&eventtime), errorcode);
}

int main(void)
{
    logerror(23);
    return 0;
}
