double vsum(int n, va_list argptr)
{
    double sum = 0.0;

    va_start(argptr, n);
    for (int i = 0; i < n; i ++)
    {
        double next = va_arg(argptr, double);
        if (isinf(next))
        {
            return next;
        }
        sum += next;
    }
    va_end(argptr);

    return sum;
}
