// strcspn_ex.c : strcspn() example
// -------------------------------------------------------------

#include <string.h>  // int strcspn(const char *s1, const char *s2);
#include <stdio.h>

int main(void)
{
    const char* path = "/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games";
    const char* basename = "aprogram";
    char fullname[1024] = "";

    int separator = strcspn(path, ":"); // Obtain the index of the first
    // colon.
    strncpy(fullname, path, separator);
    fullname[separator] = '\0';        // Terminate the copied string
    // fragment.
    strncat(fullname, "/", sizeof(fullname) - strlen(fullname) - 1);
    strncat(fullname, basename, sizeof(fullname) - strlen(fullname) - 1);

    puts(fullname);

    return 0;
}
