// strtod_ex.c : strtod() example
// -------------------------------------------------------------

#include <stdlib.h>  // double strtod(const char * restrict s,
//               char ** restrict endptr);
#include <stdio.h>

int main(void)
{
    puts("Enter some floating-point numbers, please:");
    char in[1024];
    scanf("%[^\n]", in);

    puts("Here are the values you entered:");
    char* this2 = in;          // 'this' is a reserved word
    char* next = in;
    while (1)
    {
        const double val = strtod(this2, &next);
        if (next == this2)     // Means no conversion was possible.
        {
            break ;
        }
        printf("\t%g\n", val);
        this2 = next;            // Try again with the rest of the input string.
    }
    puts("Done.");

    return 0;
}
