// timespec_get_ex.c : timespec_get() example
// -------------------------------------------------------------

#include <time.h>   // int timespec_get(struct timespec *ts, int base);
#include <stdio.h>

int main(void)
{
    struct timespec ts = {0};

    if (timespec_get(&ts, TIME_UTC) != 0)
    {
        printf("The exact local time:\n"
               "%.24s and %09lu nanoseconds\n", ctime(&ts.tv_sec), ts.tv_nsec);
    }
    return 0;
}
