// towctrans_ex.c : towctrans() example
// -------------------------------------------------------------

#include <wctype.h>  // wint_t towctrans(wint_t wc, wctrans_t desc);
#include <wchar.h>

int main(void)
{
    wctrans_t mapping = wctrans("toupper");

    wint_t before = L'\0';
    while ((before = getwchar()) != WEOF)
    {
        wint_t after = towctrans(before, mapping);
        putwchar(after);
        if (after == L'Q')
        {
            break;
        }
    }
    return 0;
}
