// wcsncmp_ex.c : wcsncmp() example
// -------------------------------------------------------------

#include <wchar.h>   // int wcsncmp(const wchar_t *s1,
//              const wchar_t *s2, size_t n);

int main(void)
{
    const wchar_t* months[] = {L"January", L"February", L"March", L"April",
                               L"May", L"June", L"July", L"August",
                               L"September", L"October", L"November", L"December"
                              };

    const wchar_t date[] = L"Thu, 10 Mar 2005 13:44:18 +0100";
    int mo = 0;
    while ((mo < 12) && (wcsncmp(date + 8, months[mo], 3) != 0))
    {
        mo++;
    }
    if (mo < sizeof(months) / sizeof(months[0]))
    {
        wprintf(L"Month: %ls\n", months[mo]);
    }
    return 0;
}
